> For the complete documentation index, see [llms.txt](https://pacifica.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pacifica.gitbook.io/docs/api-documentation/api/signing/error-handling.md).

# Error Handling

<table><thead><tr><th width="218">Error Message</th><th>Potential Causes</th></tr></thead><tbody><tr><td><code>"Invalid signature"</code></td><td><ul><li>Invalid signature format (not valid base58)</li><li>Signature bytes don't form a valid Ed25519 signature</li><li>Malformed signature data</li></ul></td></tr><tr><td><code>"Invalid message"</code></td><td><ul><li>Message has expired (timestamp + expiry_window &#x3C; current time)</li><li>Message cannot be serialized to JSON</li><li>Message structure is malformed</li></ul></td></tr><tr><td><code>"Invalid public key"</code></td><td><ul><li>Account address doesn't represent a valid Ed25519 public key</li><li>Public key bytes are malformed</li></ul></td></tr><tr><td><code>"Verification failed"</code></td><td><ul><li>Signature doesn't match the message content</li><li>Wrong private key was used to sign</li><li>Message content was modified after signing</li></ul></td></tr></tbody></table>

While we have provided several different error message types in order to aid debugging, an incorrectly generated signed message is still relatively ambiguous when it comes to troubleshooting the root cause of the issue, making debugging more challenging.\
\
As such, the following guide and/or the [Pacifica Python SDK](https://github.com/pacifica-fi/python-sdk), when followed closely, should make signing relatively straightforward to implement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/signing/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
